commit:     87a36fbbda1df65b06497dd3e98bbc29be1bbc63
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  1 03:32:21 2020 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sun Mar  1 03:32:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87a36fbb

dev-python/cycler: add python3_8

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 dev-python/cycler/cycler-0.10.0-r1.ebuild | 36 +++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-python/cycler/cycler-0.10.0-r1.ebuild 
b/dev-python/cycler/cycler-0.10.0-r1.ebuild
new file mode 100644
index 00000000000..3d35c2755ac
--- /dev/null
+++ b/dev-python/cycler/cycler-0.10.0-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+MY_PN="Cycler"
+
+DESCRIPTION="Composable style cycles"
+HOMEPAGE="
+       https://matplotlib.org/cycler/
+       https://pypi.org/project/Cycler/
+       https://github.com/matplotlib/cycler";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+# Not shipped
+# https://github.com/matplotlib/cycler/issues/21
+RESTRICT=test
+
+python_test() {
+       nosetests --verbosity=3 || die
+}

Reply via email to